Fork me on GitHub"

# skbio.diversity.alpha.margalef

`skbio.diversity.alpha.``margalef`(counts)

  Calculate Margalef’s richness index.

  State: Experimental as of 0.4.0.

  Margalef’s D is defined as:

  \[D = \frac{(S - 1)}{\ln N}\]

  where \(S\) is the number of OTUs and \(N\) is the total number of individuals in the sample.

  Assumes log accumulation.

  Parameters:

  counts : 1-D array_like, int

  > Vector of counts.

  Returns:

  double

  > Margalef’s richness index.

  Notes

  Based on the description in [R7171].

  References

  [R7171] | (1, 2) Magurran, A E 2004. Measuring biological diversity. Blackwell. pp. 76-77.